--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Methods added to TestCase allowing creation of traditional mock objects.
- !ruby/struct:SM::Flow::P 
  body: Mocks created this way will have their expectations automatically verified at the end of the test.
- !ruby/struct:SM::Flow::P 
  body: See Mock for methods on mock objects.
constants: []

full_name: Mocha::AutoVerify
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: mock
- !ruby/object:RI::MethodSummary 
  name: stub
- !ruby/object:RI::MethodSummary 
  name: stub_everything
name: AutoVerify
superclass: 
